from abc import ABC, abstractmethod

class LinuxDistroHandler(ABC):
    @abstractmethod
    def list_modify_users(self, mount_point):
        pass

    @abstractmethod
    def configure_networking(self, mount_point):
        pass

    @abstractmethod
    def set_hostname(self, mount_point, hostname):
        pass

class GenericLinuxHandler(LinuxDistroHandler):
    def list_modify_users(self, mount_point):
        # TODO: List /etc/passwd contents and allow modifications
        pass

    def configure_networking(self, mount_point):
        # TODO: Allow network interface configuration
        pass

    def set_hostname(self, mount_point, hostname):
        # TODO: Set the system hostname
        pass

