import subprocess


def get_partitions(image_file):
    result = subprocess.run(
        ["fdisk", "-l", image_file], stdout=subprocess.PIPE, text=True
    )
    output = result.stdout

    headers = []

    for line in output.splitlines():
        if line.startswith("Device"):
            headers = line.split()

    partitions = []
    for line in output.splitlines():
        if line.startswith(str(image_file)):
            parts = line.split()
            boot_flag = "*" if "*" in parts else ""
            corr = int(bool(boot_flag)) - 1
            partition_info = {
                "device": parts[0],
                "boot": boot_flag,
                "size": parts[headers.index("Size") + corr],
                "type": " ".join(parts[headers.index("Type") + corr :]),
            }
            partitions.append(partition_info)

    return partitions
